The contractor tax statement object

A contractor's 1099-NEC for one company and one tax year.

🚧

In preview

The Contractor Tax Statements API is currently in limited preview, and is not yet generally available.

The ContractorTaxStatement Object

Fields non-nullable unless specified.

fieldtypedescription
idIDID of the ContractorTaxStatement. Begins with cts_.
contractorIDID of the Contractor
companyIDID of the Company
yearintTax year the statement covers
documentnullable IDID of the published contractor tax document, such as the 1099-NEC PDF. Null until the statement is published.
published_atnullable datetime in UTCISO8601 datetime when the ContractorTaxStatement was published to the contractor. Null until the statement is published.
publication_statusenumThe publication status of the ContractorTaxStatement. One of draft or published.
delivery_methodnullable enumHow the ContractorTaxStatement will be delivered. manual for self-service/download, mail for physical mail delivery. Null when delivery isn't set.
mail_recipientnullable enumWhen delivery_method is mail, specifies who receives the mailed document. One of contractor or company. Null when delivery_method is manual or null.

When document is null, the statement hasn't been published yet. You can generate a preview of the 1099-NEC by sending a POST request to /tax_packages with the statement's ID in contents.contractor_tax_statements. See the Tax Packages guide.

GET /contractor_tax_statements?contractor=ctr_123

List the 1099-NEC statements for a single contractor.

{
  "next": null,
  "previous": null,
  "results": [
    {
      "id": "cts_789",
      "contractor": "ctr_123",
      "company": "com_123",
      "year": 2026,
      "document": null,
      "published_at": null,
      "publication_status": "draft",
      "delivery_method": "manual",
      "mail_recipient": null
    },
    {
      "id": "cts_456",
      "contractor": "ctr_123",
      "company": "com_123",
      "year": 2025,
      "document": "doc_456",
      "published_at": "2026-01-27T15:30:00Z",
      "publication_status": "published",
      "delivery_method": "mail",
      "mail_recipient": "contractor"
    }
  ]
}